Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040271
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSminorhave not tried2019-02-25 17:492019-05-21 08:10
ReporterazabaletaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision176112e9d560
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040271: Lack of information in "security deposit" financial account after a cashup

DescriptionWhen doing a cashup, the payment method configured to automatically move the amount to the financial account (cash and similar), an IN transaction appears in the "security deposit" financial account from each terminal with payments in that payment method.

It is very difficult (it needs several button clicks) to discover what is the terminal from where this transaction is coming.

Just adding in the transaction description the name (or value) of the terminal should help a lot identifying the origin. Just seeing the transactions in grid mode would clearly show the origin (terminal) of each one.
Steps To Reproduce- Log in in WebPOS
- Create several tickets and pay them with cash
- Do a cashup and make sure that the "amount to keep" is lower than the "total counted".
- Finish the cashup
- Go to backend, financial account window and locate the "security deposit" financial account.
Proposed SolutionAdd some text in the description of the transaction.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040825 closedranjith_qualiantech_com Cash management deposits are missing description information 

-  Notes
(0110434)
hgbot (developer)
2019-03-14 11:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 176112e9d560fb3c548369ae4ff295e6cf7f8fce
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Mar 14 16:23:39 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/176112e9d560fb3c548369ae4ff295e6cf7f8fce [^]

Fixed issue 40271 : Reconciliation description for counted amount should be updated with terminal info when doing cashup

* When doing cashup, fin transaction entry will be made for counted amount of each payment method
  Description should be updated with terminal info for above transaction

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
---
(0110531)
jorge-garcia (developer)
2019-03-21 10:02

Code reviewed and tested.

Final description will be something like this:
  "GL Item: VBS Mandatory G/L Item for Cash up, Terminal: VBS-1"
(0111378)
hgbot (developer)
2019-04-30 11:39

Repository: tools/automation/pi-mobile
Changeset: 8c4b0e5787d703fc64d66a497a7d2dd43617c806
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Apr 30 15:08:52 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8c4b0e5787d703fc64d66a497a7d2dd43617c806 [^]

Verifies issue 40271 : Modified automated test 'I33172_VerifyTillDifferencesReconciliationDeposits'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I33172_VerifyTillDifferencesReconciliationDeposits.java
---
(0111586)
hgbot (developer)
2019-05-09 09:08

Repository: retail/backports/3.0RR19Q2/pi-mobile
Changeset: d76ca250e3a41eeefa569c9f692b45d05f8bf676
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Apr 30 15:08:52 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2/pi-mobile/rev/d76ca250e3a41eeefa569c9f692b45d05f8bf676 [^]

Verifies issue 40271 : Modified automated test 'I33172_VerifyTillDifferencesReconciliationDeposits'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I33172_VerifyTillDifferencesReconciliationDeposits.java
---
(0111599)
guillermogil (manager)
2019-05-09 14:44

Solution is not complete, Deposits has not been fixed
(0111602)
marvintm (developer)
2019-05-09 15:35

Remark is valid, but we will fix it in the following issue:

https://issues.openbravo.com/view.php?id=40825 [^]
(0111941)
hgbot (developer)
2019-05-21 08:10

Repository: tools/automation/pi-mobile
Changeset: d76ca250e3a41eeefa569c9f692b45d05f8bf676
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Apr 30 15:08:52 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/d76ca250e3a41eeefa569c9f692b45d05f8bf676 [^]

Verifies issue 40271 : Modified automated test 'I33172_VerifyTillDifferencesReconciliationDeposits'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I33172_VerifyTillDifferencesReconciliationDeposits.java
---

- Issue History
Date Modified Username Field Change
2019-02-25 17:49 azabaleta New Issue
2019-02-25 17:49 azabaleta Assigned To => Retail
2019-02-25 17:49 azabaleta Triggers an Emergency Pack => No
2019-03-05 10:53 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-12 10:36 ranjith_qualiantech_com Status new => scheduled
2019-03-14 11:53 hgbot Checkin
2019-03-14 11:53 hgbot Note Added: 0110434
2019-03-14 11:53 hgbot Status scheduled => resolved
2019-03-14 11:53 hgbot Resolution open => fixed
2019-03-14 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/176112e9d560fb3c548369ae4ff295e6cf7f8fce [^]
2019-03-21 09:37 jorge-garcia Review Assigned To => jorge-garcia
2019-03-21 10:02 jorge-garcia Note Added: 0110531
2019-03-21 10:02 jorge-garcia Status resolved => closed
2019-03-21 10:02 jorge-garcia Fixed in Version => RR19Q2
2019-04-30 11:39 hgbot Checkin
2019-04-30 11:39 hgbot Note Added: 0111378
2019-05-09 09:08 hgbot Checkin
2019-05-09 09:08 hgbot Note Added: 0111586
2019-05-09 14:45 guillermogil Note Added: 0111599
2019-05-09 14:45 guillermogil Status closed => new
2019-05-09 14:45 guillermogil Resolution fixed => open
2019-05-09 14:45 guillermogil Fixed in Version RR19Q2 =>
2019-05-09 15:34 marvintm Relationship added related to 0040825
2019-05-09 15:34 marvintm Status new => scheduled
2019-05-09 15:35 marvintm Note Added: 0111602
2019-05-09 15:35 marvintm Status scheduled => resolved
2019-05-09 15:35 marvintm Fixed in Version => RR19Q2
2019-05-09 15:35 marvintm Resolution open => fixed
2019-05-09 15:35 marvintm Status resolved => closed
2019-05-21 08:10 hgbot Checkin
2019-05-21 08:10 hgbot Note Added: 0111941


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker